Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 435793 - AVC denial on mount of read-only NFS
Summary: AVC denial on mount of read-only NFS
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: K12LTSP
TreeView+ depends on / blocked
 
Reported: 2008-03-03 22:27 UTC by Warren Togami
Modified: 2008-03-19 18:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-19 18:33:38 UTC


Attachments (Terms of Use)
selinux_alert.txt (deleted)
2008-03-03 22:27 UTC, Warren Togami
no flags Details

Description Warren Togami 2008-03-03 22:27:11 UTC
selinux-policy-3.0.8-87.fc8

/etc/exports:
/opt/ltsp *(ro,async)

mkdir /mnt/temp
mount -t nfs -o ro 127.0.0.1:/opt/ltsp/i386 /mnt/temp

host=newcaprica.boston.redhat.com type=AVC msg=audit(1204530354.521:30): avc:
denied { write } for pid=2457 comm="rpc.mountd" name="control" dev=tmpfs ino=259
scontext=system_u:system_r:nfsd_t:s0 tcontext=system_u:object_r:lvm_control_t:s0
tclass=chr_file

Mount succeeds and works fine for read-only access.

Full alert text attached below.

Comment 1 Warren Togami 2008-03-03 22:27:11 UTC
Created attachment 296685 [details]
selinux_alert.txt

Comment 2 Daniel Walsh 2008-03-04 20:20:30 UTC
Fixed in selinux-policy-3.3.1-10.fc9

Comment 3 Warren Togami 2008-03-04 21:43:41 UTC
What exactly did you do?
Could you do the same thing for F-8 selinux-policy too?

Comment 4 Daniel Walsh 2008-03-04 22:03:21 UTC
I allowed rpc.mountd to write to the lvm_control chr_file.

Fixed in selinux-policy-3.0.8-91.fc8


Note You need to log in before you can comment on or make changes to this bug.